## org.eclipse.datatools.sqltools.sql.parser
Class SimpleCharStream

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.SimpleCharStream

    public class SimpleCharStream

extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`int` `bufpos`
`static boolean` `staticFlag`

Constructor Summary
`SimpleCharStream(java.io.InputStream dstream)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`SimpleCharStream(java.io.Reader dstream)`
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)`
`SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`void` `backup(int amount)`
`char` `BeginToken()`
`void` `Done()`
`int` `getBeginColumn()`
`int` `getBeginLine()`
`int` `getColumn()` Deprecated.
`int` `getEndColumn()`
`int` `getEndLine()`
`java.lang.String` `GetImage()`
`int` `getLine()` Deprecated.
`char[]` `GetSuffix(int len)`
`char` `readChar()`
`void` `ReInit(java.io.InputStream dstream)`
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`
`void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`void` `ReInit(java.io.Reader dstream)`
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`void` `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

See Also:
  Constant Field Values

### bufpos

    public int bufpos

Constructor Detail

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.Reader dstream)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn)

### SimpleCharStream

    public SimpleCharStream(java.io.InputStream dstream)

Method Detail

### BeginToken

    public char BeginToken()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readChar

    public char readChar()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumn

    public int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public int getEndColumn()

### getEndLine

    public int getEndLine()

### getBeginColumn

    public int getBeginColumn()

### getBeginLine

    public int getBeginLine()

### backup

    public void backup(int amount)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.Reader dstream,
                       int startline,
                       int startcolumn)

### ReInit

    public void ReInit(java.io.Reader dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn,
                       int buffersize)

### ReInit

    public void ReInit(java.io.InputStream dstream)

### ReInit

    public void ReInit(java.io.InputStream dstream,
                       int startline,
                       int startcolumn)

### GetImage

    public java.lang.String GetImage()

### GetSuffix

    public char[] GetSuffix(int len)

### Done

    public void Done()

### adjustBeginLineColumn

    public void adjustBeginLineColumn(int newLine,
                                      int newCol)

  Method to adjust line and column numbers for the start of a token.